import type { ReactNode } from 'react';
import type { ProvidedCodeMirrorConfig, UseCodeMirrorHook, UseContainerRefHook, UseViewEffectHook, UseViewHook } from './types.js';
export interface CodeMirrorProviderProps {
    config?: ProvidedCodeMirrorConfig;
    children: ReactNode;
}
export interface CodeMirrorContextProvider {
    (props: CodeMirrorProviderProps): JSX.Element;
    displayName?: string;
}
export interface CodeMirrorContext<ContainerElement extends Element = Element> {
    Provider: CodeMirrorContextProvider;
    useCodeMirror: UseCodeMirrorHook<ContainerElement>;
    useView: UseViewHook;
    useViewEffect: UseViewEffectHook;
    useContainerRef: UseContainerRefHook<ContainerElement>;
}
export declare function createCodeMirrorContext<ContainerElement extends Element>(): CodeMirrorContext<ContainerElement>;
//# sourceMappingURL=context.d.ts.map